Page MenuHomePhabricator

[OpenMP] Replace offloading option that start with -o with -fo.
ClosedPublic

Authored by sfantao on Mar 11 2016, 5:33 PM.

Details

Summary

The current offloading implementation is using -omptargets and -omp-host-ir-file-path options in the frontend. This causes the user a lot of trouble due to to the conflicts with the -o option. E.g. if the user misspells omptargets he will end up with a file with a weird name.

This patches replaces these two options with -fomptargets and -fomp-host-ir-file-path to avoid these issues, and it is also more consistent with the other options like -fopenmp.

Diff Detail

Event Timeline

sfantao updated this revision to Diff 50503.Mar 11 2016, 5:33 PM
sfantao retitled this revision from to [OpenMP] Replace offloading option that start with -o with -fo..
sfantao updated this object.
ABataev accepted this revision.Mar 13 2016, 10:14 PM
ABataev edited edge metadata.

LG

This revision is now accepted and ready to land.Mar 13 2016, 10:14 PM
sfantao closed this revision.Mar 14 2016, 9:02 AM